Subject: Re: [PATCH 2/2] ath11k: Handle errors if peer creation fails

From: Kalle Valo <[email-masked]>
Date: Tue, 10 Nov 2020 18:15:02 +0000 (UTC)

Alex Dewar <[email-masked]> wrote:

> ath11k_peer_create() is called without its return value being checked,
> meaning errors will be unhandled. Add missing check and, as the mutex is
> unconditionally unlocked on leaving this function, simplify the exit
> path.
> 
> Addresses-Coverity-ID: 1497531 ("Code maintainability issues")
> Fixes: 701e48a43e15 ("ath11k: add packet log support for QCA6390")
> Signed-off-by: Alex Dewar <[email-masked]>
> Signed-off-by: Kalle Valo <[email-masked]>

Patch applied to ath-next branch of ath.git, thanks.

c134d1f8c436 ath11k: Handle errors if peer creation fails

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches